Skip to main content
GET
List Superagents

Authorizations

api_key
string
header
required

API key for authentication. See the Authentication page for your API for details on how to get your key.

Path Parameters

workspace_id
string
required

Query Parameters

limit
integer
default:50

Items per page. Max 50.

Required range: 1 <= x <= 50
cursor
string | null

Pagination cursor from previous response.

from
string | null

Start date in YYYY-MM-DD format. Required if to is provided. Defaults to billing period start.

to
string | null

End date in YYYY-MM-DD format. Required if from is provided. Defaults to current date.

sort
string | null

Sort field. Prefix with - for descending. Supported fields: "superagent_name", "created_at", "created_by_email", "owner_user_id", "active_users_last_30d", "message_credits_consumed", "integration_credits_consumed", "total_credits_consumed".

search
string | null

Case-insensitive search over Superagent name and creator email.

Maximum string length: 100
visibility
string | null

Filter by Superagent visibility. Accepts "private", "workspace", "public_with_login", "public_without_login", or "public".

Response

Successful Response

Paginated workspace Superagent inventory.

superagents
WorkspaceSuperAgentListItem · object[]
required

List of workspace Superagents.

pagination
PaginationMetadata · object
required

Pagination metadata.